| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
uiTreeFactorySet Class Reference
uiTools

`#include <uitreeitemmanager.h>`

Inheritance diagram for uiTreeFactorySet:
[legend]

## Public Member Functions
| uiTreeFactorySet ()
| ~uiTreeFactorySet ()
const uiTreeItemFactory * | getFactory (int) const
int | getPlacementIdx (int) const
OD::Pol2D3D | getPol2D (int idx) const
OD::Pol2D3D | getPol2D3D (int) const
| mOD_DisableCopy (uiTreeFactorySet) void addFactory(uiTreeItemFactory *ptr
int | nrFactories () const
void | remove (const char *)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
CNotifier< uiTreeFactorySet, int > | addnotifier
int | placementindex =-1
int OD::Pol2D3D | pol2d =OD::Both2DAnd3D)
CNotifier< uiTreeFactorySet, int > | removenotifier

## Protected Attributes
ObjectSet< uiTreeItemFactory > | factories_
TypeSet< int > | placementidxs_
TypeSet< int > | pol2ds_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiTreeFactorySet()

uiTreeFactorySet::uiTreeFactorySet | ( |  | ) |

## ◆ ~uiTreeFactorySet()

uiTreeFactorySet::~uiTreeFactorySet | ( |  | ) |

## Member Function Documentation

## ◆ getFactory()

const uiTreeItemFactory * uiTreeFactorySet::getFactory | ( | int |  | ) | const

## ◆ getPlacementIdx()

int uiTreeFactorySet::getPlacementIdx | ( | int |  | ) | const

## ◆ getPol2D()

OD::Pol2D3D uiTreeFactorySet::getPol2D | ( | int | idx | ) | const
| inline

## ◆ getPol2D3D()

OD::Pol2D3D uiTreeFactorySet::getPol2D3D | ( | int |  | ) | const

## ◆ mOD_DisableCopy()

uiTreeFactorySet::mOD_DisableCopy | ( | uiTreeFactorySet |  | ) |

## ◆ nrFactories()

int uiTreeFactorySet::nrFactories | ( |  | ) | const

## ◆ remove()

void uiTreeFactorySet::remove | ( | const char * |  | ) |

## Member Data Documentation

## ◆ addnotifier

CNotifier<uiTreeFactorySet,int> uiTreeFactorySet::addnotifier

## ◆ factories_

ObjectSet<uiTreeItemFactory> uiTreeFactorySet::factories_
| protected

## ◆ placementidxs_

TypeSet<int> uiTreeFactorySet::placementidxs_
| protected

## ◆ placementindex

int uiTreeFactorySet::placementindex =-1

## ◆ pol2d

int OD::Pol2D3D uiTreeFactorySet::pol2d =OD::Both2DAnd3D)

Parameters

  ptr | pointer to new factory. Object is managed by me.
  placementindex | Indicates how the created treeitems should be placed when making a new tree.
  pol2d |

## ◆ pol2ds_

TypeSet<int> uiTreeFactorySet::pol2ds_
| protected

## ◆ removenotifier

CNotifier<uiTreeFactorySet,int> uiTreeFactorySet::removenotifier

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025